# GearmanJob::sendException

(PECL gearman >= 0.6.0)

GearmanJob::sendException — Envía una excepción para un trabajo en ejecución

### Descripción

public GearmanJob::sendException(string `$exception`): bool

Envía la excepción indicada cuando este trabajo está en ejecución.

### Parámetros

`exception`

  Descripción de la excepción.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Ver también

- GearmanJob::setReturn() - Establece el valor de retorno
- GearmanJob::sendStatus() - Envía el estado
- GearmanJob::sendWarning() - Envía una advertencia